Index: trunk/lib/FlairSensorActuator/src/UsRangeFinder.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/UsRangeFinder.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/UsRangeFinder.h	(revision 15)
@@ -16,139 +16,133 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class Tab;
-        class TabWidget;
-        class GroupBox;
-        class Layout;
-        class DataPlot1D;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class Tab;
+class TabWidget;
+class GroupBox;
+class Layout;
+class DataPlot1D;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class UsRangeFinder
-    *
-    * \brief Base class for UsRangeFinder
-    *
-    * Use this class to define a custom UsRangeFinder.
-    *
-    */
-    class UsRangeFinder : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a UsRangeFinder. Control part.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            UsRangeFinder(const core::FrameworkManager* parent,std::string name);
+namespace flair {
+namespace sensor {
+/*! \class UsRangeFinder
+*
+* \brief Base class for UsRangeFinder
+*
+* Use this class to define a custom UsRangeFinder.
+*
+*/
+class UsRangeFinder : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a UsRangeFinder. Control part.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UsRangeFinder(const core::FrameworkManager *parent, std::string name);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a UsRangeFinder. Simulation part.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            UsRangeFinder(const core::IODevice* parent,std::string name);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a UsRangeFinder. Simulation part.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UsRangeFinder(const core::IODevice *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~UsRangeFinder();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~UsRangeFinder();
 
-            /*!
-            * \brief Lock user interface
-            *
-            */
-            void LockUserInterface(void) const;
+  /*!
+  * \brief Lock user interface
+  *
+  */
+  void LockUserInterface(void) const;
 
-            /*!
-            * \brief Unlock user interface
-            *
-            */
-            void UnlockUserInterface(void) const;
+  /*!
+  * \brief Unlock user interface
+  *
+  */
+  void UnlockUserInterface(void) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * Should no be used for the simulation part.
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  * Should no be used for the simulation part.
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Plot
-            *
-            * \return DataPlot1D
-            */
-            gui::DataPlot1D* GetPlot(void) const;
+  /*!
+  * \brief Plot
+  *
+  * \return DataPlot1D
+  */
+  gui::DataPlot1D *GetPlot(void) const;
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return a Layout available
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return a Layout available
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Plot tab
-            *
-            * \return plot Tab
-            */
-            gui::Tab* GetPlotTab(void) const;
+  /*!
+  * \brief Plot tab
+  *
+  * \return plot Tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-            /*!
-            * \brief Value
-            *
-            * \return output value
-            */
-            float Value(void) const;
+  /*!
+  * \brief Value
+  *
+  * \return output value
+  */
+  float Value(void) const;
 
-        protected:
-            /*!
-            * \brief Output matrix
-            *
-            * \return output matrix
-            */
-            core::cvmatrix *output;
+protected:
+  /*!
+  * \brief Output matrix
+  *
+  * \return output matrix
+  */
+  core::cvmatrix *output;
 
-            /*!
-            * \brief Setup GroupBox
-            *
-            * \return a GroupBox available
-            */
-            gui::GroupBox* GetGroupBox(void) const;
+  /*!
+  * \brief Setup GroupBox
+  *
+  * \return a GroupBox available
+  */
+  gui::GroupBox *GetGroupBox(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            gui::Tab* main_tab;
-            gui::TabWidget *tab;
-            gui::GroupBox* setup_groupbox;
-            gui::Tab* sensor_tab;
-            gui::DataPlot1D* plot;
-            gui::Tab* plot_tab;
-    };
+  gui::Tab *main_tab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setup_groupbox;
+  gui::Tab *sensor_tab;
+  gui::DataPlot1D *plot;
+  gui::Tab *plot_tab;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/lib/FlairSensorActuator/src/V4LCamera.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/V4LCamera.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/V4LCamera.cpp	(revision 15)
@@ -30,172 +30,167 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace sensor
-{
+namespace flair {
+namespace sensor {
 
-V4LCamera::V4LCamera(const FrameworkManager* parent,string name,uint8_t camera_index,uint16_t width,uint16_t height,cvimage::Type::Format format,uint8_t priority) : Thread(parent,name,priority), Camera(parent,name,width,height,format)
-{
-    capture = cvCaptureFromCAM(camera_index);//a mettre apres l'init dsp
+V4LCamera::V4LCamera(const FrameworkManager *parent, string name,
+                     uint8_t camera_index, uint16_t width, uint16_t height,
+                     cvimage::Type::Format format, uint8_t priority)
+    : Thread(parent, name, priority),
+      Camera(parent, name, width, height, format) {
+  capture = cvCaptureFromCAM(camera_index); // a mettre apres l'init dsp
 
-    if(capture<0) Thread::Err("cvCaptureFromCAM error\n");
+  if (capture < 0)
+    Thread::Err("cvCaptureFromCAM error\n");
 
-    if(cvSetCaptureProperty(capture,CV_CAP_PROP_FRAME_WIDTH,width)<0) Thread::Err("cvSetCaptureProperty error\n");
-    if(cvSetCaptureProperty(capture,CV_CAP_PROP_FRAME_HEIGHT,height)<0) Thread::Err("cvSetCaptureProperty error\n");
+  if (cvSetCaptureProperty(capture, CV_CAP_PROP_FRAME_WIDTH, width) < 0)
+    Thread::Err("cvSetCaptureProperty error\n");
+  if (cvSetCaptureProperty(capture, CV_CAP_PROP_FRAME_HEIGHT, height) < 0)
+    Thread::Err("cvSetCaptureProperty error\n");
 
-    if(format==cvimage::Type::Format::UYVY)
-    {
-        if(cvSetCaptureProperty(capture,CV_CAP_PROP_FORMAT,V4L2_PIX_FMT_UYVY)<0) Thread::Err("cvSetCaptureProperty error\n");
-    }
-    else if(format==cvimage::Type::Format::YUYV)
-    {
-        if(cvSetCaptureProperty(capture,CV_CAP_PROP_FORMAT,V4L2_PIX_FMT_YUYV)<0) Thread::Err("cvSetCaptureProperty error\n");
-    }
-    else
-    {
-        Thread::Err("format not supported\n");
+  if (format == cvimage::Type::Format::UYVY) {
+    if (cvSetCaptureProperty(capture, CV_CAP_PROP_FORMAT, V4L2_PIX_FMT_UYVY) <
+        0)
+      Thread::Err("cvSetCaptureProperty error\n");
+  } else if (format == cvimage::Type::Format::YUYV) {
+    if (cvSetCaptureProperty(capture, CV_CAP_PROP_FORMAT, V4L2_PIX_FMT_YUYV) <
+        0)
+      Thread::Err("cvSetCaptureProperty error\n");
+  } else {
+    Thread::Err("format not supported\n");
+  }
+
+  // station sol
+  gain = new DoubleSpinBox(GetGroupBox()->NewRow(), "gain:", 0, 1, 0.1);
+  exposure = new DoubleSpinBox(GetGroupBox()->LastRowLastCol(), "exposure:", 0,
+                               1, 0.1);
+  bright =
+      new DoubleSpinBox(GetGroupBox()->LastRowLastCol(), "bright:", 0, 1, 0.1);
+  contrast = new DoubleSpinBox(GetGroupBox()->LastRowLastCol(), "contrast:", 0,
+                               1, 0.1);
+  hue = new DoubleSpinBox(GetGroupBox()->LastRowLastCol(), "hue:", 0, 1, 0.1);
+  sharpness = new DoubleSpinBox(GetGroupBox()->LastRowLastCol(), "sharpness:",
+                                0, 1, 0.1);
+  sat = new DoubleSpinBox(GetGroupBox()->LastRowLastCol(), "saturation:", 0, 1,
+                          0.1);
+  autogain = new CheckBox(GetGroupBox()->NewRow(), "autogain:");
+  autoexposure = new CheckBox(GetGroupBox()->LastRowLastCol(), "autoexposure:");
+  awb = new CheckBox(GetGroupBox()->LastRowLastCol(), "awb:");
+  fps = new Label(GetGroupBox()->NewRow(), "fps");
+}
+
+V4LCamera::~V4LCamera() {
+  SafeStop();
+  Join();
+}
+
+void V4LCamera::Run(void) {
+  Time cam_time, new_time, fpsNow, fpsPrev;
+  IplImage *img; // raw image
+  int fpsCounter = 0;
+
+  // init image old
+  if (!cvGrabFrame(capture)) {
+    Printf("Could not grab a frame\n");
+  }
+  cam_time = GetTime();
+  fpsPrev = cam_time;
+
+  while (!ToBeStopped()) {
+    // fps counter
+    fpsCounter++;
+    if (fpsCounter == 100) {
+      fpsNow = GetTime();
+      fps->SetText("fps: %.1f",
+                   fpsCounter / ((float)(fpsNow - fpsPrev) / 1000000000.));
+      fpsCounter = 0;
+      fpsPrev = fpsNow;
     }
 
-    //station sol
-    gain=new DoubleSpinBox(GetGroupBox()->NewRow(),"gain:",0,1,0.1);
-    exposure=new DoubleSpinBox(GetGroupBox()->LastRowLastCol(),"exposure:",0,1,0.1);
-    bright=new DoubleSpinBox(GetGroupBox()->LastRowLastCol(),"bright:",0,1,0.1);
-    contrast=new DoubleSpinBox(GetGroupBox()->LastRowLastCol(),"contrast:",0,1,0.1);
-    hue=new DoubleSpinBox(GetGroupBox()->LastRowLastCol(),"hue:",0,1,0.1);
-    sharpness=new DoubleSpinBox(GetGroupBox()->LastRowLastCol(),"sharpness:",0,1,0.1);
-    sat=new DoubleSpinBox(GetGroupBox()->LastRowLastCol(),"saturation:",0,1,0.1);
-    autogain=new CheckBox(GetGroupBox()->NewRow(),"autogain:");
-    autoexposure=new CheckBox(GetGroupBox()->LastRowLastCol(),"autoexposure:");
-    awb=new CheckBox(GetGroupBox()->LastRowLastCol(),"awb:");
-    fps=new Label(GetGroupBox()->NewRow(),"fps");
+    // cam properties
+    if (gain->ValueChanged() == true && autogain->Value() == false)
+      SetGain(gain->Value());
+    if (exposure->ValueChanged() == true && autoexposure->Value() == false)
+      SetExposure(exposure->Value());
+    if (bright->ValueChanged() == true)
+      SetBrightness(bright->Value());
+    if (sat->ValueChanged() == true)
+      SetSaturation(sat->Value());
+    if (contrast->ValueChanged() == true)
+      SetContrast(contrast->Value());
+    if (hue->ValueChanged() == true)
+      SetHue(hue->Value());
+    if (sharpness->ValueChanged() == true)
+      cvSetCaptureProperty(capture, CV_CAP_PROP_SHARPNESS, sharpness->Value());
+    if (autogain->ValueChanged() == true) {
+      if (autogain->Value() == true) {
+        gain->setEnabled(false);
+      } else {
+        gain->setEnabled(true);
+        SetGain(gain->Value());
+      }
+      SetAutoGain(autogain->Value());
+    }
+    if (autoexposure->ValueChanged() == true) {
+      if (autoexposure->Value() == true) {
+        exposure->setEnabled(false);
+      } else {
+        exposure->setEnabled(true);
+        SetExposure(exposure->Value());
+      }
+      SetAutoExposure(autoexposure->Value());
+    }
+    if (awb->ValueChanged() == true)
+      cvSetCaptureProperty(capture, CV_CAP_PROP_AWB, awb->Value());
+
+    // cam pictures
+    img = cvRetrieveRawFrame(capture);
+    if (!cvGrabFrame(capture)) {
+      Printf("Could not grab a frame\n");
+    }
+    new_time = GetTime();
+
+    output->GetMutex();
+    output->img->imageData = img->imageData;
+    output->ReleaseMutex();
+
+    output->SetDataTime(cam_time);
+    ProcessUpdate(output);
+
+    cam_time = new_time;
+  }
+
+  cvReleaseCapture(&capture);
 }
 
-V4LCamera::~V4LCamera()
-{
-    SafeStop();
-    Join();
+void V4LCamera::SetAutoGain(bool value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_AUTOGAIN, value);
 }
 
-void V4LCamera::Run(void)
-{
-    Time cam_time,new_time,fpsNow,fpsPrev;
-    IplImage* img;//raw image
-    int fpsCounter=0;
-
-    //init image old
-    if(!cvGrabFrame(capture))
-    {
-        Printf("Could not grab a frame\n");
-    }
-    cam_time=GetTime();
-    fpsPrev = cam_time;
-
-    while(!ToBeStopped())
-    {
-        //fps counter
-        fpsCounter++;
-        if(fpsCounter==100) {
-            fpsNow = GetTime();
-            fps->SetText("fps: %.1f",fpsCounter/((float)(fpsNow - fpsPrev)/1000000000.));
-            fpsCounter=0;
-            fpsPrev=fpsNow;
-        }
-
-        //cam properties
-        if(gain->ValueChanged()==true && autogain->Value()==false) SetGain(gain->Value());
-        if(exposure->ValueChanged()==true && autoexposure->Value()==false) SetExposure(exposure->Value());
-        if(bright->ValueChanged()==true) SetBrightness(bright->Value());
-        if(sat->ValueChanged()==true) SetSaturation(sat->Value());
-        if(contrast->ValueChanged()==true) SetContrast(contrast->Value());
-        if(hue->ValueChanged()==true) SetHue(hue->Value());
-        if(sharpness->ValueChanged()==true) cvSetCaptureProperty(capture,CV_CAP_PROP_SHARPNESS,sharpness->Value());
-        if(autogain->ValueChanged()==true)
-        {
-            if(autogain->Value()==true)
-            {
-                gain->setEnabled(false);
-            }
-            else
-            {
-                gain->setEnabled(true);
-                SetGain(gain->Value());
-            }
-            SetAutoGain(autogain->Value());
-        }
-        if(autoexposure->ValueChanged()==true)
-        {
-            if(autoexposure->Value()==true)
-            {
-                exposure->setEnabled(false);
-            }
-            else
-            {
-                exposure->setEnabled(true);
-                SetExposure(exposure->Value());
-            }
-            SetAutoExposure(autoexposure->Value());
-        }
-        if(awb->ValueChanged()==true) cvSetCaptureProperty(capture,CV_CAP_PROP_AWB,awb->Value());
-
-
-        //cam pictures
-        img=cvRetrieveRawFrame(capture);
-        if(!cvGrabFrame(capture))
-        {
-            Printf("Could not grab a frame\n");
-        }
-        new_time=GetTime();
-
-        output->GetMutex();
-        output->img->imageData=img->imageData;
-        output->ReleaseMutex();
-
-        output->SetDataTime(cam_time);
-        ProcessUpdate(output);
-
-        cam_time=new_time;
-    }
-
-    cvReleaseCapture(&capture);
+void V4LCamera::SetAutoExposure(bool value) {
+  Thread::Warn("not implemented in opencv\n");
 }
 
-void V4LCamera::SetAutoGain(bool value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_AUTOGAIN,value);
+void V4LCamera::SetGain(float value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_GAIN, value);
 }
 
-void V4LCamera::SetAutoExposure(bool value)
-{
-    Thread::Warn("not implemented in opencv\n");
+void V4LCamera::SetExposure(float value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_EXPOSURE, value);
 }
 
-void V4LCamera::SetGain(float value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_GAIN,value);
+void V4LCamera::SetBrightness(float value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_BRIGHTNESS, value);
 }
 
-void V4LCamera::SetExposure(float value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_EXPOSURE,value);
+void V4LCamera::SetSaturation(float value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_SATURATION, value);
 }
 
-void V4LCamera::SetBrightness(float value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_BRIGHTNESS,value);
+void V4LCamera::SetHue(float value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_HUE, value);
 }
 
-void V4LCamera::SetSaturation(float value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_SATURATION,value);
-}
-
-void V4LCamera::SetHue(float value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_HUE,value);
-}
-
-void V4LCamera::SetContrast(float value)
-{
-    cvSetCaptureProperty(capture,CV_CAP_PROP_CONTRAST,value);
+void V4LCamera::SetContrast(float value) {
+  cvSetCaptureProperty(capture, CV_CAP_PROP_CONTRAST, value);
 }
 
Index: trunk/lib/FlairSensorActuator/src/V4LCamera.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/V4LCamera.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/V4LCamera.h	(revision 15)
@@ -18,134 +18,131 @@
 #include <highgui.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvimage;
-        class FrameworkManager;
-    }
-    namespace gui
-    {
-        class GridLayout;
-        class DoubleSpinBox;
-        class CheckBox;
-        class Label;
-    }
+namespace flair {
+namespace core {
+class cvimage;
+class FrameworkManager;
+}
+namespace gui {
+class GridLayout;
+class DoubleSpinBox;
+class CheckBox;
+class Label;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class V4LCamera
-    *
-    * \brief Base class for V4l camera
-    */
-    class V4LCamera : public core::Thread, public Camera
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Camera.
-            *
-            * \param parent parent
-            * \param name name
-            * \param camera_index camera index
-            * \param width width
-            * \param height height
-            * \param format image format
-            * \param priority priority of the Thread
-            */
-            V4LCamera(const core::FrameworkManager* parent,std::string name,uint8_t camera_index,uint16_t width,uint16_t height,core::cvimage::Type::Format format,uint8_t priority);
+namespace flair {
+namespace sensor {
+/*! \class V4LCamera
+*
+* \brief Base class for V4l camera
+*/
+class V4LCamera : public core::Thread, public Camera {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Camera.
+  *
+  * \param parent parent
+  * \param name name
+  * \param camera_index camera index
+  * \param width width
+  * \param height height
+  * \param format image format
+  * \param priority priority of the Thread
+  */
+  V4LCamera(const core::FrameworkManager *parent, std::string name,
+            uint8_t camera_index, uint16_t width, uint16_t height,
+            core::cvimage::Type::Format format, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~V4LCamera();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~V4LCamera();
 
-        protected:
-            /*!
-            * \brief Set Gain
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetGain(float value);
+protected:
+  /*!
+  * \brief Set Gain
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetGain(float value);
 
-            /*!
-            * \brief Set Auto Gain
-            *
-            * \param value value
-            */
-            virtual void SetAutoGain(bool value);
+  /*!
+  * \brief Set Auto Gain
+  *
+  * \param value value
+  */
+  virtual void SetAutoGain(bool value);
 
-            /*!
-            * \brief Set Exposure
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetExposure(float value);
+  /*!
+  * \brief Set Exposure
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetExposure(float value);
 
-            /*!
-            * \brief Set Auto Exposure
-            *
-            * \param value value
-            */
-            virtual void SetAutoExposure(bool value);
+  /*!
+  * \brief Set Auto Exposure
+  *
+  * \param value value
+  */
+  virtual void SetAutoExposure(bool value);
 
-            /*!
-            * \brief Set Brightness
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetBrightness(float value);
+  /*!
+  * \brief Set Brightness
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetBrightness(float value);
 
-            /*!
-            * \brief Set Saturation
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetSaturation(float value);
+  /*!
+  * \brief Set Saturation
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetSaturation(float value);
 
-            /*!
-            * \brief Set Hue
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetHue(float value);
+  /*!
+  * \brief Set Hue
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetHue(float value);
 
-            /*!
-            * \brief Set Contrast
-            *
-            * \param value value between 0 and 1
-            */
-            virtual void SetContrast(float value);
+  /*!
+  * \brief Set Contrast
+  *
+  * \param value value between 0 and 1
+  */
+  virtual void SetContrast(float value);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            CvCapture* capture;
+  CvCapture *capture;
 
-            gui::Tab* sensor_tab;
-            gui::DoubleSpinBox *bright,*exposure,*gain,*contrast,*hue,*sharpness,*sat;
-            gui::CheckBox *autogain,*awb,*autoexposure;
-            gui::Label *fps;
-    };
+  gui::Tab *sensor_tab;
+  gui::DoubleSpinBox *bright, *exposure, *gain, *contrast, *hue, *sharpness,
+      *sat;
+  gui::CheckBox *autogain, *awb, *autoexposure;
+  gui::Label *fps;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/lib/FlairSensorActuator/src/VrpnClient.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/VrpnClient.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/VrpnClient.cpp	(revision 15)
@@ -26,46 +26,36 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace sensor
-{
+namespace flair {
+namespace sensor {
 
-VrpnClient::VrpnClient(const FrameworkManager* parent,string name,string address,uint16_t us_period,uint8_t priority): Thread(parent,name,priority)
-{
-    pimpl_=new VrpnClient_impl(this,name,address,us_period);
+VrpnClient::VrpnClient(const FrameworkManager *parent, string name,
+                       string address, uint16_t us_period, uint8_t priority)
+    : Thread(parent, name, priority) {
+  pimpl_ = new VrpnClient_impl(this, name, address, us_period);
 }
 
-VrpnClient::VrpnClient(const FrameworkManager* parent,string name,SerialPort* serialport,uint16_t us_period,uint8_t priority): Thread(parent,name,priority)
-{
-    pimpl_=new VrpnClient_impl(this,name,serialport,us_period);
+VrpnClient::VrpnClient(const FrameworkManager *parent, string name,
+                       SerialPort *serialport, uint16_t us_period,
+                       uint8_t priority)
+    : Thread(parent, name, priority) {
+  pimpl_ = new VrpnClient_impl(this, name, serialport, us_period);
 }
 
-VrpnClient::~VrpnClient()
-{
-    SafeStop();
-    Join();
+VrpnClient::~VrpnClient() {
+  SafeStop();
+  Join();
 
-    delete pimpl_;
+  delete pimpl_;
 }
 
-Layout* VrpnClient::GetLayout(void) const
-{
-    return (Layout*)(pimpl_->setup_tab);
+Layout *VrpnClient::GetLayout(void) const {
+  return (Layout *)(pimpl_->setup_tab);
 }
 
-TabWidget* VrpnClient::GetTabWidget(void) const
-{
-    return pimpl_->tab;
-}
+TabWidget *VrpnClient::GetTabWidget(void) const { return pimpl_->tab; }
 
-bool VrpnClient::UseXbee(void) const
-{
-    return pimpl_->UseXbee();
-}
+bool VrpnClient::UseXbee(void) const { return pimpl_->UseXbee(); }
 
-void VrpnClient::Run(void)
-{
-    pimpl_->Run();
-}
+void VrpnClient::Run(void) { pimpl_->Run(); }
 
 } // end namespace sensor
Index: trunk/lib/FlairSensorActuator/src/VrpnClient.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/VrpnClient.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/VrpnClient.h	(revision 15)
@@ -6,5 +6,6 @@
  * \file VrpnClient.h
  * \brief Class to connect to a Vrpn server
- * \author César Richard, Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \author César Richard, Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS
+ * 7253
  * \date 2013/04/03
  * \version 4.0
@@ -16,16 +17,13 @@
 #include <Thread.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class SerialPort;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class SerialPort;
+}
+namespace gui {
+class TabWidget;
+class Layout;
+}
 }
 
@@ -33,81 +31,81 @@
 class VrpnObject_impl;
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class VrpnClient
-    *
-    * \brief Class to connect to a Vrpn server
-    */
-    class VrpnClient:public core::Thread
-    {
-        friend class ::VrpnObject_impl;
+namespace flair {
+namespace sensor {
+/*! \class VrpnClient
+*
+* \brief Class to connect to a Vrpn server
+*/
+class VrpnClient : public core::Thread {
+  friend class ::VrpnObject_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a VrpnClient. Connection is done by IP.
-            *
-            * \param parent parent
-            * \param name name
-            * \param address server address
-            * \param us_period Thread period in us
-            * \param priority priority of the Thread
-            */
-            VrpnClient(const core::FrameworkManager* parent,std::string name,std::string address,uint16_t us_period,uint8_t priority);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a VrpnClient. Connection is done by IP.
+  *
+  * \param parent parent
+  * \param name name
+  * \param address server address
+  * \param us_period Thread period in us
+  * \param priority priority of the Thread
+  */
+  VrpnClient(const core::FrameworkManager *parent, std::string name,
+             std::string address, uint16_t us_period, uint8_t priority);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a VrpnClient. Connection is done by XBee modem.
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport SerialPort for XBee modem
-            * \param us_period Xbee RX timeout in us
-            * \param priority priority of the Thread
-            */
-            VrpnClient(const core::FrameworkManager* parent,std::string name,core::SerialPort* serialport,uint16_t us_period,uint8_t priority);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a VrpnClient. Connection is done by XBee modem.
+  *
+  * \param parent parent
+  * \param name name
+  * \param serialport SerialPort for XBee modem
+  * \param us_period Xbee RX timeout in us
+  * \param priority priority of the Thread
+  */
+  VrpnClient(const core::FrameworkManager *parent, std::string name,
+             core::SerialPort *serialport, uint16_t us_period,
+             uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~VrpnClient();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~VrpnClient();
 
-            /*!
-            * \brief Setup Layout
-            *
-            * \return a Layout available
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Setup Layout
+  *
+  * \return a Layout available
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Setup Tab
-            *
-            * \return a Tab available
-            */
-            gui::TabWidget* GetTabWidget(void) const;
+  /*!
+  * \brief Setup Tab
+  *
+  * \return a Tab available
+  */
+  gui::TabWidget *GetTabWidget(void) const;
 
-            /*!
-            * \brief Is XBee used?
-            *
-            * \return true if connection is based on XBee modem
-            */
-            bool UseXbee(void) const;
+  /*!
+  * \brief Is XBee used?
+  *
+  * \return true if connection is based on XBee modem
+  */
+  bool UseXbee(void) const;
 
-        private:
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
+private:
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
 
-            class VrpnClient_impl* pimpl_;
-    };
+  class VrpnClient_impl *pimpl_;
+};
 } // end namespace sensor
 } // end namespace flair
